﻿/* Title: CasWriterDemo 
   Author: Matteo Slaviero 
   This work is absolutely free to use, copy, modify or redistribute for any purpose in any country. */

using System;
using System.Security;
using System.Security.Permissions;

[assembly:SecurityTransparent()]
namespace CasWriterDemo
{
    
    class Program
    {
        static void Main(string[] args)
        {
            CasWriter writer = new CasWriter();
            Console.WriteLine(writer.GetMethodsSecurityStatus());


            try
            {
                Console.Write("Custom Sentence: ");
                writer.WriteCustomSentence("Barba non facit philosophum");

            }
            catch (Exception ex)
            {
                Console.WriteLine("\n\n" + ex.Message + "\n\n");
            }

            try
            {
                Console.Write("Default Sentence: ");
                writer.WriteDefaultSentence(new Random().Next(0, 2));
               
            }
            catch (Exception ex)
            {
                Console.WriteLine("\n\n" + ex.Message);
            }


            Console.ReadKey();

        }
    }
}
